org.bdgenomics.adam.rdd.read.recalibration

# BaseQualityRecalibration

#### class BaseQualityRecalibration extends Serializable with Logging

The algorithm proceeds in two phases. First, we make a pass over the reads to collect statistics and build the recalibration tables. Then, we perform a second pass over the reads to apply the recalibration and assign adjusted quality scores.

Linear Supertypes
Logging, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. BaseQualityRecalibration
2. Logging
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new BaseQualityRecalibration(input: RDD[(Option[DecadentRead], Option[AlignmentRecord])], knownSnps: Broadcast[SnpTable], dumpObservationTableFile: Option[String] = scala.None)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val covariates: CovariateSpace

9. #### val dataset: RDD[(CovariateKey, Residue)]

10. #### val dumpObservationTableFile: Option[String]

11. #### val enableVisitLogging: Boolean

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### val input: RDD[(Option[DecadentRead], Option[AlignmentRecord])]

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isTraceEnabled(): Boolean

    Attributes
      protected
    Definition Classes
      Logging

20. #### val knownSnps: Broadcast[SnpTable]

21. #### def log: Logger

    Attributes
      protected
    Definition Classes
      Logging

22. #### def logDebug(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def logDebug(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def logError(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

25. #### def logError(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

26. #### def logInfo(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

27. #### def logInfo(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

28. #### def logName: String

    Attributes
      protected
    Definition Classes
      Logging

29. #### def logTrace(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

30. #### def logTrace(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

31. #### def logWarning(msg: ⇒ String, throwable: Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

32. #### def logWarning(msg: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Logging

33. #### val minAcceptableQuality: QualityScore

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### val observed: ObservationTable

38. #### val result: RDD[AlignmentRecord]

39. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

40. #### def toString(): String

    Definition Classes
      AnyRef → Any

41. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

42. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

43. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logging

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped